# Example


**Example 1**
```bash
bitia trim_galore --gzip --fastqc --max_n 2 --paired --length 50 SRR11862696_1.fastq.gz SRR11862696_2.fastq.gz
```
This does the following :

- Installs trim_galore on top of biarchlinux image in a docker container
- mounts the current working directory to the container  so that all necessory files needed and input files `SRR11862696_1.fastq.gz` and `SRR11862696_2.fastq.gz` for the command to work is available inside the container.
- Runs the command and returns the output to stdout

**Example 2**
 ```bash
bitia pipeline.sh
```
for pipeline.sh:
```
#!/usr/bin/env bash

fastqc *.gz

for file in *_1.fastq.gz
do
   trim_galore --cores 8 --gzip --fastqc --max_n 2 --output_dir Trimmed_Data/ --paired $file ${file%_1.fastq.gz}_2.fastq.gz
done

hisat2-build -p 8 ./Homo_sapiens/UCSC/hg38/Sequence/WholeGenomeFasta/genome.fa index
```

This does the following:
- Extract all exeutables in the file - `fastqc`, `trim_galore`,`hisat2`
- Extract all comments given in the file - `#!/usr/bin/env bash`
- Extract all files that are given as input for commands and download them if not available by the given url.
- Installs given executables in the docker container.
- mounts the current working directory to the containern so that all necessory files needed and input files for the command to work is available inside the container.
- Runs the command and returns the output to stdout.